import request from '@/utils/request'

// 查询区域检查整改记录列表
export function listRecord(query) {
  return request({
    url: '/production/record/list',
    method: 'get',
    params: query
  })
}

// 查询区域检查整改记录详细
export function getRecord(id) {
  return request({
    url: '/production/record/' + id,
    method: 'get'
  })
}

// 新增区域检查整改记录
export function addRecord(data) {
  return request({
    url: '/production/record',
    method: 'post',
    data: data
  })
}

// 修改区域检查整改记录
export function updateRecord(data) {
  return request({
    url: '/production/record',
    method: 'put',
    data: data
  })
}

// 修改区域检查整改记录
export function approveRecord(data) {
  return request({
    url: '/production/record/approve',
    method: 'put',
    data: data
  })
}

// 修改区域检查整改记录
export function changeRecord(data) {
  return request({
    url: '/production/record/change',
    method: 'put',
    data: data
  })
}

// 删除区域检查整改记录
export function delRecord(id) {
  return request({
    url: '/production/record/' + id,
    method: 'delete'
  })
}

// 导出区域检查整改记录
export function exportRecord(query) {
  return request({
    url: '/production/record/export',
    method: 'get',
    params: query
  })
}
